de.esprit.appsuite.database.dbase.clp

## Class DatabaseCFG

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.launch.ApplicationConfig
      - - de.esprit.appsuite.database.dbase.clp.DatabaseCFG

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    TableEditCFG

      public class DatabaseCFG
      extends ApplicationConfig

  This class keeps database specific command line input
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseCFG(DatabaseCLP clp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getCredDir()`
    `Credential` | `getCredential()`
    `java.io.File` | `getCredFile()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationConfig

      `getApplicationName, getCustomVersion, getEspritVersion, getLogDir, getStartLogLevel, getStartLogLevel, isDemoMode, isLogToFile, isNoConsoleLog, isPrintVersionOnly, isTestMode`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseCFG

          public DatabaseCFG(DatabaseCLP clp)
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getCredDir

          public java.io.File getCredDir()

    - #### getCredFile

          public java.io.File getCredFile()

    - #### getCredential

          public Credential getCredential()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `ApplicationConfig`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `ApplicationConfig`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.